Amazon Linux AMI : xorg-x11-server (ALAS-2015-519)

medium Nessus Plugin ID 83270

Synopsis

The remote Amazon Linux AMI host is missing a security update.

Description

A buffer over-read flaw was found in the way the X.Org server handled XkbGetGeometry requests. A malicious, authorized client could use this flaw to disclose portions of the X.Org server memory, or cause the X.Org server to crash using a specially crafted XkbGetGeometry request. (CVE-2015-0255)

Solution

Run 'yum update xorg-x11-server' to update your system.

See Also

https://alas.aws.amazon.com/ALAS-2015-519.html

Plugin Details

Severity: Medium

ID: 83270

File Name: ala_ALAS-2015-519.nasl

Version: 1.2

Type: local

Agent: unix

Published: 5/7/2015

Updated: 4/18/2018

Supported Sensors: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Nessus Agent

Risk Information

VPR

Risk Factor: Medium

Score: 5.2

CVSS v2

Risk Factor: Medium

Base Score: 6.4

Vector: AV:N/AC:L/Au:N/C:P/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:amazon:linux:xorg-x11-server-Xdmx, p-cpe:/a:amazon:linux:xorg-x11-server-Xephyr, p-cpe:/a:amazon:linux:xorg-x11-server-Xnest, p-cpe:/a:amazon:linux:xorg-x11-server-Xorg, p-cpe:/a:amazon:linux:xorg-x11-server-Xvfb, p-cpe:/a:amazon:linux:xorg-x11-server-common, p-cpe:/a:amazon:linux:xorg-x11-server-debuginfo, p-cpe:/a:amazon:linux:xorg-x11-server-devel, p-cpe:/a:amazon:linux:xorg-x11-server-source, cpe:/o:amazon:linux

Required KB Items: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

Patch Publication Date: 5/5/2015

Reference Information

CVE: CVE-2015-0255

ALAS: 2015-519

RHSA: 2015:0797